> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hypersync.tartanhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported HRMS List

> Returns the list of HRMS systems available for a connection or vendor organization.



## OpenAPI

````yaml GET /api/hrms_list/
openapi: 3.0.0
info:
  title: Employee List API
  description: Retrieve a paginated list of employees from the organization.
  version: 1.0.0
servers:
  - url: https://{env}.tartanhq.com
    description: Dynamic environment-based server
    variables:
      env:
        default: dev
security: []
paths:
  /api/hrms_list/:
    get:
      summary: Get Supported HRMS List
      description: >-
        Returns the list of HRMS systems available for a connection or vendor
        organization.
      parameters:
        - in: query
          name: connection_id
          required: false
          schema:
            type: string
            format: uuid
          description: Either connection_id or vendor_org is required.
        - in: query
          name: vendor_org
          required: false
          schema:
            type: string
            format: uuid
          description: Either connection_id or vendor_org is required.
      responses:
        '200':
          description: HRMS list fetched successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/HRMS'
        '400':
          description: connection_id or vendor_org is required
        '404':
          description: No matching connection or vendor application found
components:
  schemas:
    HRMS:
      type: object
      properties:
        id:
          type: integer
        org_name:
          type: string
          example: Keka
        hrms_code:
          type: string
          example: keka
        required_fields:
          type: object
          description: >-
            HRMS-specific onboarding field requirements. Fields listed as
            sensitive are marked `is_masked`.
        helping_docs_url:
          type: string
          nullable: true
        logo_url:
          type: string
          nullable: true
        deposit_switch:
          type: boolean
        is_hybrid:
          type: boolean
        is_international:
          type: boolean
        has_salary_v2:
          type: boolean
        has_data_posting:
          type: boolean
        has_data_posting_ui_mapping:
          type: boolean

````